const port=80;
const fs = require('fs');
const http = require("http");
const server = http.createServer((request, response) => {
  console.log(request.url);
  const url = request.url;
  if(url=="/" || url.indexOf("/room")==0){
    response.writeHead(200,{
      "Content-Type": "text/html"
    });
    const data = fs.readFileSync("index.html");
    response.end(data);
  }else if(url=="/p2p-client.js"){
    response.writeHead(200,{
      "Content-Type": "application/javascript"
    });
    const data = fs.readFileSync("p2p-client.js");
    response.end(data);
  }else if(url=="/favicon.ico"){
    response.writeHead(200,{
      "Content-Type": "image/vnd.microsoft.icon"
    });
    const data = fs.readFileSync("favicon.ico");
    response.end(data);
  }else{
    response.writeHead(200,{
      "Content-Type": "text/html"
    });
    const data = "nandesuka?";
    response.end(data);
  }
});

server.listen(port);